# Imagick::brightnessContrastImage

(No version information available, might only be in Git)

Imagick::brightnessContrastImage — Description

### Description

public Imagick::brightnessContrastImage ( float `$brightness` , float `$contrast` [, int `$channel` = Imagick::CHANNEL_DEFAULT ] ) : bool

Change the brightness and/or contrast of an image. It converts the brightness and contrast parameters into slope and intercept and calls a polynomical function to apply to the image.

### Parameters

`brightness`

`contrast`

`channel`

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Imagick::brightnessContrastImage()

`<?php
function brightnessContrastImage($imagePath, $brightness, $contrast, $channel) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->brightnessContrastImage($brightness, $contrast, $channel);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`